﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Collections;

namespace pr301_3
{
    class Program
    {
        // Метод для получения коллекции (стека): 
        static Stack stk(int[] arr)
        {
            // Вычисление среднего значения элементов массива:
            double avg = 0;
            for (int i = 0; i < arr.Length; i++)
            {
                avg += arr[i];
            }
            avg /= arr.Length;
            // Создание стека:
            Stack mystack = new Stack();
            // Заполнение стека:
            for (int i = 0; i < arr.Length; i++)
            {
                // Если текущий элемент больше 
                // среднего значения:
                if (arr[i] > avg)
                {
                    // Добавление элемента в стек: 
                    mystack.Push(arr[i]);
                }
            }
            return mystack;
        }

        // Метод для отображения содержимого коллекции: 
        static void show(ICollection s)
        {
            foreach (object obj in s)
            {
                Console.Write("|" + obj);
            }
            Console.WriteLine("|");
        }

        // Главный метод:
        static void Main()
        {
            // Исходный массив.
            // Среднее значение - 5.5:
            int[] arr = { 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 };
            Console.WriteLine("Содержимое массива:");
            show(arr);
            // Заполняем стек:
            Stack mystk = stk(arr);
            Console.WriteLine("Содержимое стека:");
            show(mystk);
            // Задержка:
            Console.ReadLine();
        }
    }
}
